com.tibbo.aggregate.common.action

## Class GenericActionResponse

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionResponse

- All Implemented Interfaces:
    ActionResponse

      public class GenericActionResponse
      extends java.lang.Object
      implements ActionResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericActionResponse(DataTable parameters)`
    `GenericActionResponse(DataTable parameters, boolean remember, RequestIdentifier requestId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `getParameters()`
    `RequestIdentifier` | `getRequestId()`
    `void` | `setParameters(DataTable parameters)`
    `void` | `setRemember(boolean remember)`
    `void` | `setRequestId(RequestIdentifier requestId)`
    `boolean` | `shouldRemember()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericActionResponse

          public GenericActionResponse(DataTable parameters)

    - #### GenericActionResponse

          public GenericActionResponse(DataTable parameters,
                                       boolean remember,
                                       RequestIdentifier requestId)

  - ### Method Detail

    - #### getParameters

          public DataTable getParameters()

    - #### shouldRemember

          public boolean shouldRemember()

      Specified by:
        `shouldRemember` in interface `ActionResponse`

    - #### getRequestId

          public RequestIdentifier getRequestId()

      Specified by:
        `getRequestId` in interface `ActionResponse`

    - #### setParameters

          public void setParameters(DataTable parameters)

    - #### setRemember

          public void setRemember(boolean remember)

    - #### setRequestId

          public void setRequestId(RequestIdentifier requestId)